"""Constants for record statements."""
from enum import unique

try:
    from enum import StrEnum  # type: ignore[attr-defined, unused-ignore]
except ImportError:  # pragma: no cover
    from backports.strenum import StrEnum  # type: ignore[assignment, no-redef, unused-ignore]


@unique
class Template(StrEnum):
    """Record statements template enum."""

    CONTACT = 'record-statement-contact.html'
    DOMAIN = 'record-statement-domain.html'
    KEYSET = 'record-statement-keyset.html'
    NSSET = 'record-statement-nsset.html'
